| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::GPUProbe Class Reference

`#include <gpu_tracer_vk.h>`

## Public Member Functions
| GPUProbe (const std::weak_ptr< GPUTracerVK > &tracer)
| GPUProbe (GPUProbe &&)=delete
GPUProbe & | operator= (GPUProbe &&)=delete
| ~GPUProbe ()
void | RecordCmdBufferStart (const vk::CommandBuffer &buffer)
| Record a timestamp query into the provided cmd buffer to record start time. More...
void | RecordCmdBufferEnd (const vk::CommandBuffer &buffer)
| Record a timestamp query into the provided cmd buffer to record end time. More...

## Friends
class | GPUTracerVK

## Detailed Description

Definition at line 89 of file gpu_tracer_vk.h.

## Constructor & Destructor Documentation

## ◆ GPUProbe() [1/2]

impeller::GPUProbe::GPUProbe | ( | const std::weak_ptr< GPUTracerVK > & | tracer | ) |
| explicit

Definition at line 182 of file gpu_tracer_vk.cc.

183 : tracer_(tracer) {}

## ◆ GPUProbe() [2/2]

impeller::GPUProbe::GPUProbe | ( | GPUProbe && |  | ) |
| delete

## ◆ ~GPUProbe()

impeller::GPUProbe::~GPUProbe | ( |  | ) |

Definition at line 185 of file gpu_tracer_vk.cc.

185 {
186 if (!index_.has_value()) {
187 return;
188 }
189 auto tracer = tracer_.lock();
190 if (!tracer) {
191 return;
192 }
193 tracer->OnFenceComplete(index_.value());
194 }

## Member Function Documentation

## ◆ operator=()

GPUProbe& impeller::GPUProbe::operator= | ( | GPUProbe && |  | ) |
| delete

## ◆ RecordCmdBufferEnd()

void impeller::GPUProbe::RecordCmdBufferEnd | ( | const vk::CommandBuffer & | buffer | ) |

Record a timestamp query into the provided cmd buffer to record end time.

Definition at line 204 of file gpu_tracer_vk.cc.

204 {
205 auto tracer = tracer_.lock();
206 if (!tracer) {
207 return;
208 }
209 tracer->RecordCmdBufferEnd(buffer, *this);
210 }

## ◆ RecordCmdBufferStart()

void impeller::GPUProbe::RecordCmdBufferStart | ( | const vk::CommandBuffer & | buffer | ) |

Record a timestamp query into the provided cmd buffer to record start time.

Definition at line 196 of file gpu_tracer_vk.cc.

196 {
197 auto tracer = tracer_.lock();
198 if (!tracer) {
199 return;
200 }
201 tracer->RecordCmdBufferStart(buffer, *this);
202 }

## Friends And Related Function Documentation

## ◆ GPUTracerVK

friend class GPUTracerVK
| friend

Definition at line 107 of file gpu_tracer_vk.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/gpu_tracer_vk.h
- impeller/renderer/backend/vulkan/gpu_tracer_vk.cc